Package com.documentum.fc.client.mq

# Interface IDfMessage

All Superinterfaces:
  `IDfTypedObject`

public interface IDfMessage extends IDfTypedObject
Created by IntelliJ IDEA. User: fanz Date: March 18, 2011 Time: 3:13:59 PM To change this template use File | Settings | File Templates.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MSG_DEFAULT_PRIORITY`
  `static final int`
  `MSG_DEFAULT_REDELIVERY_COUNT`
  `static final int`
  `MSG_STATE_ACQUIRED`
  `static final String`
  `MSG_STATE_ACQUIRED_STRING`
  `static final int`
  `MSG_STATE_DEAD`
  `static final String`
  `MSG_STATE_DEAD_STRING`
  `static final int`
  `MSG_STATE_READY`
  `static final String`
  `MSG_STATE_READY_STRING`
  `static final int`
  `MSG_STATE_UNKNOWN`
  `static final String`
  `MSG_STATE_UNKNOWN_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAcquiredBy()`
  Returns the name of the user who has acquired the message.
  `IDfTime`
  `getCreationTime()`
  Returns the message reation time.
  `String`
  `getErrorDescription()`
  Returns text description as for why the message delivery has failed.
  `IDfTime`
  `getExpirationTime()`
  Returns the message expiration time.
  `IDfId`
  `getMessageId()`
  Returns the message object id.
  `int`
  `getPriority()`
  Returns the message priority.
  `String`
  `getRecipient()`
  Returns the message recipient.
  `int`
  `getRedeliveryCount()`
  Returns the message redelivery count
  `String`
  `getSender()`
  Returns the message sender.
  `int`
  `getState()`
  Returns the message state.
  `IDfTime`
  `getUpdateTime()`
  Returns the last state change time of the message.
  `void`
  `save()`
  Add the message to the queue.
  `void`
  `setCreationTime(IDfTime time)`
  Sets the message creation time.
  `void`
  `setErrorDescription(String description)`
  Sets error description in attribute 'msg_error_description'.
  `void`
  `setExpirationTime(IDfTime expirationTime)`
  Sets the message expiration time.
  `void`
  `setPriority(int priority)`
  Sets the message priority.
  `void`
  `setRecipient(String recipient)`
  Sets the message recepient.
  `void`
  `setRedeliveryCount(int count)`
  Sets the message redelivery count.
  `void`
  `setSender(String sender)`
  Sets the message sender.
  `void`
  `setState(int state)`
  Sets the message state.
  `void`
  `setUpdateTime(IDfTime time)`
  Sets the message state update time.

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### MSG_STATE_READY_STRING

    static final String MSG_STATE_READY_STRING
    See Also:
      - Constant Field Values

  - ### MSG_STATE_ACQUIRED_STRING

    static final String MSG_STATE_ACQUIRED_STRING
    See Also:
      - Constant Field Values

  - ### MSG_STATE_DEAD_STRING

    static final String MSG_STATE_DEAD_STRING
    See Also:
      - Constant Field Values

  - ### MSG_STATE_UNKNOWN_STRING

    static final String MSG_STATE_UNKNOWN_STRING
    See Also:
      - Constant Field Values

  - ### MSG_STATE_READY

    static final int MSG_STATE_READY
    See Also:
      - Constant Field Values

  - ### MSG_STATE_ACQUIRED

    static final int MSG_STATE_ACQUIRED
    See Also:
      - Constant Field Values

  - ### MSG_STATE_DEAD

    static final int MSG_STATE_DEAD
    See Also:
      - Constant Field Values

  - ### MSG_STATE_UNKNOWN

    static final int MSG_STATE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### MSG_DEFAULT_PRIORITY

    static final int MSG_DEFAULT_PRIORITY
    See Also:
      - Constant Field Values

  - ### MSG_DEFAULT_REDELIVERY_COUNT

    static final int MSG_DEFAULT_REDELIVERY_COUNT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getCreationTime

    IDfTime getCreationTime() throws DfException
    Returns the message reation time.
    Returns:
      The message creation time.
    Throws:
      `DfException` - if a server error occurs

  - ### getUpdateTime

    IDfTime getUpdateTime() throws DfException
    Returns the last state change time of the message.
    Returns:
      The last state change time of the message.
    Throws:
      `DfException` - if a server error occurs

  - ### getExpirationTime

    IDfTime getExpirationTime() throws DfException
    Returns the message expiration time.
    Returns:
      The nessage expiration time.
    Throws:
      `DfException` - if a server error occurs

  - ### getState

    int getState() throws DfException
    Returns the message state.
    Returns:
      The message state.
    Throws:
      `DfException` - if a server error occurs

  - ### getPriority

    int getPriority() throws DfException
    Returns the message priority.
    Returns:
      The message priority.
    Throws:
      `DfException` - if a server error occurs

  - ### getAcquiredBy

    String getAcquiredBy() throws DfException
    Returns the name of the user who has acquired the message.

    Meaningful only when message is in acquired state.
    Returns:
      The name of the user who has acquired the message.
    Throws:
      `DfException` - if a server error occurs

  - ### getRedeliveryCount

    int getRedeliveryCount() throws DfException
    Returns the message redelivery count
    Returns:
      The message redelivery count
    Throws:
      `DfException` - if a server error occurs

  - ### getErrorDescription

    String getErrorDescription() throws DfException
    Returns text description as for why the message delivery has failed.

    Notice that such a text description is available only after the message delivery fails.
    Returns:
      A text description as for why the message delivery has failed.
    Throws:
      `DfException` - if a server error occurs

  - ### getSender

    String getSender() throws DfException
    Returns the message sender.
    Returns:
      The message sender.
    Throws:
      `DfException` - if a server error occurs

  - ### getRecipient

    String getRecipient() throws DfException
    Returns the message recipient.
    Returns:
      The message recipient.
    Throws:
      `DfException` - if a server error occurs

  - ### setCreationTime

    void setCreationTime(IDfTime time) throws DfException
    Sets the message creation time.
    Parameters:
      `time` - A value of type IDfTime
    Throws:
      `DfException` - if a server error occurs

  - ### setUpdateTime

    void setUpdateTime(IDfTime time) throws DfException
    Sets the message state update time.
    Parameters:
      `time` - A value of type IDfTime
    Throws:
      `DfException` - if a server error occurs

  - ### setState

    void setState(int state) throws DfException
    Sets the message state.
    Parameters:
      `state` - An integer value between 1 and 4
    Throws:
      `DfException` - if a server error occurs

  - ### setPriority

    void setPriority(int priority) throws DfException
    Sets the message priority.
    Parameters:
      `priority` - An integer value between 0 anf 10
    Throws:
      `DfException` - if a server error occurs

  - ### setExpirationTime

    void setExpirationTime(IDfTime expirationTime) throws DfException
    Sets the message expiration time.
    Parameters:
      `expirationTime` - An value of type IDfTime
    Throws:
      `DfException` - if a server error occurs

  - ### setRedeliveryCount

    void setRedeliveryCount(int count) throws DfException
    Sets the message redelivery count.
    Parameters:
      `count` - A non-negative integer not greater than the value of dmc_mq_config.max_redeliveries
    Throws:
      `DfException` - if a server error occurs

  - ### setErrorDescription

    void setErrorDescription(String description) throws DfException
    Sets error description in attribute 'msg_error_description'.
    Parameters:
      `description` - A text string describing why the message delivery fails.
    Throws:
      `DfException` - if a server error occurs

  - ### setSender

    void setSender(String sender) throws DfException
    Sets the message sender.
    Parameters:
      `sender` - The message sender
    Throws:
      `DfException` - if a server error occurs

  - ### setRecipient

    void setRecipient(String recipient) throws DfException
    Sets the message recepient.
    Parameters:
      `recipient` - The message recipient
    Throws:
      `DfException` - if a server error occurs

  - ### getMessageId

    IDfId getMessageId() throws DfException
    Returns the message object id.
    Throws:
      `DfException` - if a server error occurs

  - ### save

    void save() throws DfException
    Add the message to the queue. This causes the message to be persisted in the underlying database.
    Throws:
      `DfException` - if a server error occurs